## ssync-1.9.1.tar.gz

=== Makefile ===
# @(#)Makefile,v 1.8 2013/03/14 16:20:27 kim Exp

PREFIX=/usr/pkg

BIN_SH=/bin/sh
RSYNC=rsync
SRSH=${PREFIX}/bin/srsh

CMD=ssync

BIN=sbin
MAN=8

.PHONY: all
all: ${CMD}

${CMD}: ${CMD}.sh
	sed \
	    -e 's;@BIN_SH@;${BIN_SH};g' \
	    -e 's;@PREFIX@;${PREFIX};g' \
	    -e 's;@RSYNC@;${RSYNC};g' \
	    -e 's;@SRSH@;${SRSH};g' \
	    < $< > $@
	chmod a+rx $@

.PHONY: install
install: install-bin install-man

install-bin: ${CMD}
	install -c -m 755 ${CMD} ${PREFIX}/${BIN}/${CMD}

install-conf:
	install -c -m 644 ${CMD}.conf ${PREFIX}/etc/${CMD}.conf

install-man:
	install -c -m 444 ${CMD}.man ${PREFIX}/man/man${MAN}/${CMD}.${MAN}

clean:
	rm -f ${CMD}

=== debian/changelog ===
ssync (1.9-2) unstable; urgency=low

  * Initial release

 -- Kimmo Suominen <kimmo@gw.com>  Thu, 01 Sep 2011 17:44:28 +0300

=== debian/control ===
Source: ssync
Section: net
Priority: extra
Maintainer: Kimmo Suominen <kimmo@gw.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://kimmo.suominen.com/sw/
#Vcs-Git: git://git.debian.org/collab-maint/ssync.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/ssync.git;a=summary

Package: ssync
Architecture: all
Depends: ${misc:Depends}, dash (>= 0.5.5.1) | bash (>= 4.1), coreutils (>= 7.4), netname, ng-utils, openssh-client, osname, rsync, srsh
Description: Distribute files to a set of hosts
 The sdist command invokes rsync(1) in an intelligent manner.  Usually
 ssync is invoked from the master distribution host.
 .
 ssync was created as a drop-in replacement for sdist(1) and thus has
 switches similar to rdist(1) rather than rsync(1).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.
#
# This version is for packages that are architecture independent.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) PREFIX=/usr RSYNC=rsync

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>.
	$(MAKE) PREFIX=`pwd`/debian/`dh_listpackages`/usr install-bin
	$(MAKE) PREFIX=`pwd`/debian/`dh_listpackages` install-conf
	$(MAKE) PREFIX=`pwd`/debian/`dh_listpackages`/usr/share install-man

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_lintian
#	dh_bugfiles
#	dh_undocumented
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
#	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
